Package org.apache.sysds.runtime.instructions.cp

## Class Data

- java.lang.Object
- - org.apache.sysds.runtime.instructions.cp.Data

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `CacheableData`, `CM_COV_Object`, `Encrypted`, `KahanObject`, `ListObject`, `ScalarObject`

    public abstract class Data
    extends Object
    implements Serializable

See Also:
  Serialized Form

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`Types.DataType` `getDataType()`
`abstract String` `getDebugName()`
`MetaData` `getMetaData()`
`PrivacyConstraint` `getPrivacyConstraint()`
`Types.ValueType` `getValueType()`
`void` `removeMetaData()`
`void` `setMetaData​(MetaData md)`
`void` `setPrivacyConstraints​(PrivacyConstraint pc)`
`void` `updateDataCharacteristics​(DataCharacteristics mc)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getDebugName

    public abstract String getDebugName()

#### getDataType

    public Types.DataType getDataType()

#### getValueType

    public Types.ValueType getValueType()

#### setPrivacyConstraints

    public void setPrivacyConstraints​(PrivacyConstraint pc)

#### getPrivacyConstraint

    public PrivacyConstraint getPrivacyConstraint()

#### setMetaData

    public void setMetaData​(MetaData md)

#### getMetaData

    public MetaData getMetaData()

#### removeMetaData

    public void removeMetaData()

#### updateDataCharacteristics

    public void updateDataCharacteristics​(DataCharacteristics mc)